Subject: Re: DWIM "git checkout frotz" to "git checkout -b frotz origin/frotz"

From: Clemens Buchacher <[email-masked]>
Date: Tue, 8 Jun 2010 20:13:53 +0200

On Tue, Jun 08, 2010 at 03:52:42AM -0400, Jeff King wrote:
>
>   $ git checkout foo
>   Branch private set up to track remote branch foo from origin.
>   Switched to a new branch 'foo'
> 
>   ... time passes ...
> 
>   $ git checkout foo
>   Switched to branch 'foo'
>   Your branch is behind 'origin/foo' by 5 commits, and can be fast-forwarded.

I see. That really is somewhat reassuring. I still do not like it,
but considering the fact that I could not come up with a scenario
worse than that, I suppose the feature is not as bad as I made it
out to be.

Thanks all for discussing it with me anyways.

Regards,
Clemens